=== debian/changelog ===
ros-humble-rosbag2-storage (0.15.7-1jammy) jammy; urgency=high

  * Fix missing cstdint include (#1383 <https://github.com/ros2/rosbag2/issues/1383>) (#1386 <https://github.com/ros2/rosbag2/issues/1386>)
  * Contributors: Michael Orlov, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosbag2-storage (0.15.6-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-rosbag2-storage (0.15.5-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rosbag2-storage (0.15.4-1jammy) jammy; urgency=high

  * Disable false message about plugin not found. (#1219 <https://github.com/ros2/rosbag2/issues/1219>)
  * Contributors: Michael Orlov

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rosbag2-storage (0.15.3-1jammy) jammy; urgency=high

  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>) (#1077 <https://github.com/ros2/rosbag2/issues/1077>)
  * Revert "[humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)" (#1069 <https://github.com/ros2/rosbag2/issues/1069>)
  * [humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)
  * Contributors: Esteve Fernandez, mergify[bot]

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-storage (0.15.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 11 May 2022 00:00:00 -0000

ros-humble-rosbag2-storage (0.15.1-1jammy) jammy; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Jorge Perez, Tony Peng

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-storage (0.15.0-1jammy) jammy; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Jorge Perez, Tony Peng

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-storage (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-storage (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Remove unnecessary public definition. (#950 <https://github.com/ros2/rosbag2/issues/950>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-storage (0.13.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosbag2-storage (0.12.0-1jammy) jammy; urgency=high

  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-rosbag2-storage (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Provide MetadataIO interface to convert metadata to a string in memory, alongside file IO versions (#894 <https://github.com/ros2/rosbag2/issues/894>)
  * Contributors: Emerson Knapp, Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-humble-rosbag2-storage (0.10.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 22 Oct 2021 00:00:00 -0000

ros-humble-rosbag2-storage (0.10.0-1jammy) jammy; urgency=high

  * Metadata per file info (#870 <https://github.com/ros2/rosbag2/issues/870>)
  * Implement snapshot mechanism and corresponding ROS Service (#850 <https://github.com/ros2/rosbag2/issues/850>)
  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Refactor plugin query mechanism and standardize trait management (#833 <https://github.com/ros2/rosbag2/issues/833>)
  * Contributors: Cameron Miller, Wojciech Jaworski, sonia

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-rosbag2-storage (0.9.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 17 May 2021 00:00:00 -0000

ros-humble-rosbag2-storage (0.8.0-1jammy) jammy; urgency=high

  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * PlayerClock initial implementation - Player functionally unchanged (#689 <https://github.com/ros2/rosbag2/issues/689>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Reindexer core (#641 <https://github.com/ros2/rosbag2/issues/641>)

