=== debian/control ===
Source: ros-humble-rosbag2-storage
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-pluginlib, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rosbag2-test-common <!nocheck>, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosbag2-storage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-pluginlib, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: ROS2 independent storage format to store serialized ROS2 messages
