## ros-humble-rosbag2-storage 0.15.12

=== debian/changelog ===
ros-humble-rosbag2-storage (0.15.12-1bookworm) bookworm; urgency=high

  * [humble] Remove explicit sqlite3 from code (backport #1166 <https://github.com/ros2/rosbag2/issues/1166>) (#1723 <https://github.com/ros2/rosbag2/issues/1723>)
  * [humble] rosbag2_storage: expose default storage ID as method (backport #1146 <https://github.com/ros2/rosbag2/issues/1146>) (#1724 <https://github.com/ros2/rosbag2/issues/1724>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.11-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.10-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.9-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.8-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.7-1bookworm) bookworm; urgency=high

  * Fix missing cstdint include (#1383 <https://github.com/ros2/rosbag2/issues/1383>) (#1386 <https://github.com/ros2/rosbag2/issues/1386>)
  * Contributors: Michael Orlov, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.6-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.5-1bookworm) bookworm; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.4-1bookworm) bookworm; urgency=high

  * Disable false message about plugin not found. (#1219 <https://github.com/ros2/rosbag2/issues/1219>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.3-1bookworm) bookworm; urgency=high

  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>) (#1077 <https://github.com/ros2/rosbag2/issues/1077>)
  * Revert "[humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)" (#1069 <https://github.com/ros2/rosbag2/issues/1069>)
  * [humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)
  * Contributors: Esteve Fernandez, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.1-1bookworm) bookworm; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-storage (0.15.0-1bookworm) bookworm; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-storage (0.14.1-1bookworm) bookworm; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-humble-rosbag2-storage (0.14.0-1bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Remove unnecessary public definition. (#950 <https://github.com/ros2/rosbag2/issues/950>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-humble-rosbag2-storage (0.13.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rosbag2-storage (0.12.0-1bookworm) bookworm; urgency=high

  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rosbag2-storage (0.11.0-1bookworm) bookworm; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Provide MetadataIO interface to convert metadata to a string in memory, alongside file IO versions (#894 <https://github.com/ros2/rosbag2/issues/894>)
  * Contributors: Emerson Knapp, Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 07 Nov 2021 16:00:00 -0000

ros-humble-rosbag2-storage (0.10.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 21 Oct 2021 16:00:00 -0000


